### Method

# Ggit Ref lookup

#### Declaration [src]

    GgitObject*
    ggit_ref_lookup (
      GgitRef* ref
      GError** error
    )

#### Description [src]

Convenient method to resolve a reference to an object.

#### Return value

Type: `GgitObject`

A `GgitObject` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.